# GradleVersion

abstract class GradleVersion : Comparable<T>

Represents a Gradle version.

## Constructors

GradleVersion
Link copied to clipboard
constructor()

## Functions

compareTo
Link copied to clipboard
abstract fun compareTo(o: GradleVersion): Int
current
Link copied to clipboard
open fun current(): GradleVersion
Returns the current Gradle version.
getBaseVersion
Link copied to clipboard
abstract fun getBaseVersion(): GradleVersion
The base version of this version.
getMajorVersion
Link copied to clipboard
abstract fun getMajorVersion(): Int
Returns the major version of this Gradle version.
getVersion
Link copied to clipboard
abstract fun getVersion(): String
Returns the string that represents this version.
isFinal
Link copied to clipboard
@Incubating
abstract fun isFinal(): Boolean
Returns `true` if this version is a final release.
isSnapshot
Link copied to clipboard
abstract fun isSnapshot(): Boolean
Returns `true` if this instance represent a snapshot version (e.g.
version
Link copied to clipboard
open fun version(version: String): GradleVersion
Parses the given string into a GradleVersion.